/**全部右移*/
function allAdd() {
	$("#colname1 option").appendTo($("#colname2"));
}
/**向右移*/
function Add() {
	$("#colname1 option:selected").appendTo($("#colname2"));
}
/**向左移*/
function Remove() {
	$("#colname2 option:selected").appendTo($("#colname1"));
}
/**全部左移*/
function allRemove() {
	$("#colname2 option").appendTo($("#colname1"));
}

//保存
function update() {
	var selects = '';
	$("select[name='colname2'] option").each(function () {
		var val = $(this).val();
		selects += val + ",";
	});
	if(selects == ''){
		toastr.warning("请至少选中一个！");
	}else{
		$.ajax({
			type:'post',
			url:path+'/printing/addTypeRelated',
			data:{typeId:$("#typeId").val(),selects:selects},
			dataType:'json',
			success:function(data){
				if(data.code == 0){
					toastr.success("保存成功！");
				}else{
					toastr.error("保存失败，请联系超管！");
				}
			}
		})
	}
}
//编辑模板
function update1(){
	var typeName1 = $("#typeName1").val();
	if(typeName1 != ''){
		var flag = false;
		$.ajax({
			type:'post',
			url:path+"/printing/updateEmrType",
			data:$("#updateForm").serialize(),
			dataType:'json',
			success:function(data){
				if(null != data && data.code == 0){
					toastr.success("修改成功！");
					flag = true;
				}else{
					toastr.warning(data.msg);
				}
			}
		})
		setTimeout(function(){
			if(flag){
				parent.location.reload();
			}
		},1000);
	}else{
		toastr.warning("类别名称不能为空！");
	}
}
//删除模板
function del(){
	var id = $("#id").val();
	var selectFlagId = $("#selectFlagId").val();
	if(id != ''){
		if(selectFlagId != id){
			Common.confirm({
				title: "提示",
				message: "确认是否删除这条数据?",
				operate: function (reselt) {
					if (reselt) {
						$.ajax({
							type: 'post',
							url: path + '/printing/deleteEmrType',
							data: {id: id},
							dataType: 'json',
							success: function (data) {
								//错误编号500，表示有重复
								if (data.code == 0) {
									toastr.success("删除成功！");
								} else {
									toastr.error("删除失败！");
								}
							}
						})
						setTimeout(function () {
							parent.location.reload();
						}, 1000);
					}
				}
			})
		}else{
			toastr.warning("该模板为默认模板，不可删除！");
		}
	}else{
		toastr.warning("未选中，删除无效!");
	}
}